Description

The Italian official RDN2008* CRSs, introduced in the EPSG Registry v. 8.5, are not actually supported.
How to reproduce it:
    -  create a new View and open its properties;
    -  click on [...] button (current projection) in the General tab;
    -  choose EPSG type in the "New CRS" window;
    -  search by Name and type "RDN".
Result:
    -  the RDN* CRSs are correctly listed in the "New CRS" window (because we have the EPSG Registry v. 8.7 behind...), but
selecting one of them and clicking on the "Info CRS" button, a java.lang.RuntimeException: OGR Error: Unsupported SRS occurs,
because the EPSG:670_ and EPSG:687_ CRSs are not actually supported in GDAL 1.11.3 (it uses the EPSG Registry v. 8.2).

Associated revisions
Revision 172 - 02/25/2016 05:07 PM - Daniel Martinez

refs #4109 Se actualizan librerías de GDAL, la BBDD de EPSG y se corrige error en la clase CrsWkt cuando recibe una spatialReference con
proyección.

Revision 530 - 02/25/2016 05:19 PM - Daniel Martinez

refs #4109 Se actualizan librerías de GDAL, la BBDD de EPSG y se corrige error en la clase CrsWkt cuando recibe una spatialReference con
proyección.

History
#1 - 02/15/2016 04:01 PM - Antonio Falciano

The solution is to update the gvSIG-desktop\gvSIG-desktop-2.3.0\gvSIG\extensiones\org.gvsig.gdal.app.mainplugin\gdal\bin\gdal-data folder to EPSG
Registry v. 8.8, like in GDAL trunk: https://trac.osgeo.org/gdal/changeset/32964
Tested and it works.

Finally, updating also the EPSG Registry itself to v. 8.8 (#4029) in gvSIG should cover all the new CRSs introduced in it.

Related to #4029
#2 - 02/15/2016 05:19 PM - Álvaro Anguix
- Assignee set to Joaquín  del Cerro Murciano

#3 - 02/15/2016 10:07 PM - Andrea Antonello

This would be quite important for Italian public administrations (I think they are mandatory). 
Thanks for supplying a working solution Antonio.

#4 - 02/22/2016 09:35 AM - Daniel Martinez

Hi Antonio,

I tried the indicated changes. But it only works for RDN2008, which is the only one not projected.
The others are projected and when I tried to push the Info CRS button, failed.
It seems that this fail is due to a null parameter. Debugging it, I have find out that this parameter is Param_name which is not created through "public
CrsWkt(SpatialReference spatialReference)" constructor (although it seems to be created using the other constructors in the class).
Now I am trying to modify this constructor to initialize correctly param_name.

#5 - 02/22/2016 09:48 AM - Antonio Falciano

Daniel Martinez wrote:

I tried the indicated changes. But it only works for RDN2008, which is the only one not projected.
The others are projected and when I tried to push the Info CRS button, failed.

Hi Daniel, it works only for geographic CRSs at the moment, because of #4026. But it should work for all projections if the projected CRSs will be
fixed.

It seems that this fail is due to a null parameter. Debugging it, I have find out that this parameter is Param_name which is not created through
"public CrsWkt(SpatialReference spatialReference)" constructor (although it seems to be created using the other constructors in the class).

Consider also #3954#note-12. Sometimes the issue may be due to projection name aliases that are not updated.

Now I am trying to modify this constructor to initialize correctly param_name.

Thank you very much for your attention.

#6 - 02/27/2016 11:23 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2426 (rev. org.gvsig.desktop-2.0.132,  NOT USABLE) 
- Status changed from New to Fixed

#7 - 02/27/2016 11:24 AM - Joaquín  del Cerro Murciano
- Assignee changed from Joaquín  del Cerro Murciano to Daniel Martinez

#8 - 03/14/2016 11:09 AM - Antonio Falciano
- Status changed from Fixed to Closed
